# Get Activities

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/activities/get/

`GET /unified/user-directory/activities/{id}`

Resource: **Activities** · API: **Unified User Directory API**

## Supported integrations

Atlassian

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`id`** _(string, required)_
  Unique identifier for the activity.
- **`actor`** _(object)_
  Actor who performed the activity.
  - **`type`** _(string)_
    Type of the actor.
    Allowed: `user`, `system`, `anonymous`
  - **`user`** _(object)_
    User who performed the activity.
    - **`id`** _(string)_
      Unique identifier for the user.
- **`organization`** _(string)_
  Unique identifier for the organization the activity belongs to.
- **`group`** _(string)_
  Unique identifier for the group the activity belongs to.
- **`description`** _(string)_
  Description for the activity.
- **`action`** _(string)_
  Action performed by the user. If no clear mapping is available, then the raw value is returned.
  Allowed: `login`, `login_failed`, `logout`, `user_invited`, `user_created`, `user_joined`, `user_deactivated`, `user_deleted`, `user_updated`, `create`, `destroy`, `exported` (+1 more)
- **`entity`** _(string)_
  Unique identifier for the entity on which the action was performed.
- **`entity_type`** _(string)_
  Type of the entity on which the action was performed.
- **`context`** _(object)_
  Context of the activity.
  - **`ip_address`** _(string)_
    IP address of the user who performed the activity.
  - **`user_agent`** _(string)_
    User agent of the user who performed the activity.
  - **`authentication_method`** _(string)_
    Authentication method used by the user.
- **`created_at`** _(string)_
  Date and time when the activity was created.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/user-directory/activities/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/activities/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/user-directory/activities/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'activities',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "activities",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
